#!/bin/bash
# ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# 一键初始化
# ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# = 系统优化
#> 视频资源：
# == 设置
# === 锁屏不断网
# 系统设置--电池--选项--将「硬盘」和「网络」改为“永不”
# 系统设置--显示器--高级--「……防止休眠」勾选
# === 允许任意来源的app，然后可“设置>隐私与安全性>仍然允许”
sudo spctl --master-disable

# = finder
# == 设置>边栏
# = 终端
# == 默认
# 设置>描述文件>键盘>option作为meta键
# 设置>描述文件>文本>字体 -> JetBrainsMono Nerd Font
# = brew
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
source "$HOME"/.config/zsh/share/app/brew.sh
# = stats
# https://mac-stats.com/
# https://github.com/exelban/stats/releases/download/v2.11.43/Stats.dmg
# = 安装JetBrainsMono Nerd Font
brew install --cask font-jetbrains-mono-nerd-font
# = python
# == uv
brew install uv
# === uv apps: tidevice
uv python install
# == pyenv
# = nodejs
# == nvm
# 执行`zimfw install`后，nvm会自动安装
# == volta
# == corepack enable
# == pnpm
# = 飞书客户端，官网
# = arc 浏览器，要立刻同步
# == arc 插件：沉浸式翻译、Vimium C、bitwarden、AutoJump、BiliScope、Virtual Json Viewer、思源(SiYuan)、篡改猴
# = 远程配置仓库
# = bash
# = zsh
cd "$HOME"
ln .config/zsh/zshrc.zsh .zshrc
brew install romkatv/powerlevel10k/powerlevel10k
zimfw install || zimfw reinstall
# = apifox
# = ai chat tool
# == chat box
# https://chatboxai.app/zh
# https://chatboxai.app/install?download=darwin-aarch64
# https://chatboxai.app/install?download=darwin-x86_64
# == cherry box
# = vscode
# centos的remote-ssh，需要低于1.99.0——因为有glibc和kennel版本限制
# 网页: https://code.visualstudio.com/updates/v1_98
curl https://update.code.visualstudio.com/1.98.2/darwin-arm64/stable
# intel
curl https://update.code.visualstudio.com/1.98.2/darwin/stable
# == 插件、ai、
# = 思源笔记
# = obsidian
# = UI测试
# == 网易airtest
# = 远程桌面
# == anydesk
# == 向日葵
# = transmit，破解版
# = 腾讯会议
# = 解压专家Oka
# = orbstack
# = 终端
# == alacritty
# == iterm
# == wezterm
# = VPN
# = Xcode、xcode command line
# xcode可以在app store中直接下载，即为当前os版本可用的
# = another redis desktop manager
# = robo 3t
# xmind
# = 预览
# utool
# 爱思助手
# = 时间段自动改主题：中午
sudo cp "$HOME"/.config/.bin/.Dependencies/setup-kit/osx/com.user.switchtheme.plist ~/Library/LaunchAgents/com.user.switchtheme.plist
sudo launchctl load ~/Library/LaunchAgents/com.user.switchtheme.plist
#> 对于系统级的代理（放在 /Library/LaunchDaemons 目录下），需要使用 sudo 并指定 system
#~ sudo launchctl bootstrap system /Library/LaunchDaemons/com.user.switchtheme.plist
#> 语法错误: 检查 .plist 文件的语法是否正确
# plutil -lint ~/Library/LaunchAgents/com.user.switchtheme.plist
#> 查看系统日志获取更多信息
# log show --predicate 'process == "launchd"' --info --last 1h
